Get list of values for given tagId
Gives list of values for given tagId
Path Parameters
- tagId int32 required
Id of the tag name whose value is requested
- 200
- 400
- 503
OK
- application/json
- Schema
- Example (from schema)
Schema
- tagId int32
tagValues object[]
Array of tag values
id int32name stringglobalConfigInfo object
Only applicable on Global CommCells
id stringname stringcommcells object[]
List of Service CommCells where the global configuration is applied
id int32name stringguid stringdisplayName stringcompanies object[]
List of companies where the global configuration is applied
id int32name stringguid stringdeploymentType stringPossible values: [
ON_PREM,SAAS,HYBRID]Defines where config is deployed.
scope stringThe entity level at which the config is applied.
scopeFilterQuery stringCommCellEntityCache filter query string used for filtering the scope
applyOnAllCommCells booleanDecides whether the global configuration should be applied to all the Service commcells, including the newly created ones
applyOnAllOnPremCommCells booleanDecides whether the global configuration should be applied to all the On Prem Service commcells, including the newly created ones
applyOnAllSaasCommCells booleanDecides whether the global configuration should be applied to all the SaaS Service commcells, including the newly created ones
applyOnAllCompanies booleanDecides whether the global configuration should be applied to all the companies, including the newly created ones
isMarkedForDeletion booleanIndicates whether global configuration deletion has been started.
status stringtargetCommCellType stringPossible values: [
GLOBAL_COMMCELL,SERVICE_COMMCELL]Indicates the type of CommCell where the global configuration is targeted.
{
"tagId": 0,
"tagValues": [
{
"id": 0,
"name": "string"
}
],
"globalConfigInfo": {
"id": "string",
"name": "string",
"commcells": [
{
"id": 0,
"name": "string",
"guid": "string",
"displayName": "string"
}
],
"companies": [
{
"id": 0,
"name": "string",
"guid": "string"
}
],
"deploymentType": "ON_PREM",
"scope": "string",
"scopeFilterQuery": "string",
"applyOnAllCommCells": true,
"applyOnAllOnPremCommCells": true,
"applyOnAllSaasCommCells": true,
"applyOnAllCompanies": true,
"isMarkedForDeletion": true,
"status": "string",
"targetCommCellType": "GLOBAL_COMMCELL"
}
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Service Unavailable
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}